part of 'events_bloc.dart';

@immutable
abstract class CalendarEventsEvent {
  const CalendarEventsEvent();
}

class LoadEvents extends CalendarEventsEvent {
  final DateTime weekStart;
  const LoadEvents({required this.weekStart});
}

class AddEvent extends CalendarEventsEvent {
  final CalendarEventData event;
  AddEvent(this.event);
}

class StartTimer extends CalendarEventsEvent {}

class DisposeResources extends CalendarEventsEvent {}

class GoToWeek extends CalendarEventsEvent {
  final DateTime weekDate;
  GoToWeek(this.weekDate);
}
