part of 'events_bloc.dart';

@immutable
abstract class CalendarEventState {}

class EventsInitial extends CalendarEventState {}

class EventsLoading extends CalendarEventState {}

class EventsLoaded extends CalendarEventState {
  final List<CalendarEventData> events;
  final DateTime initialDate;
  final List<DateTime> weekDays;

  EventsLoaded({
    required this.events,
    required this.initialDate,
    required this.weekDays,
  });
}

class EventsError extends CalendarEventState {
  final String message;
  EventsError(this.message);
}
