import 'package:bloc/bloc.dart';
import 'package:syncrow_web/pages/access_management/booking_system/domain/models/bookable_room.dart';
part 'selected_bookable_space_event.dart';
part 'selected_bookable_space_state.dart';

class SelectedBookableSpaceBloc
    extends Bloc<SelectedBookableSpaceEvent, SelectedBookableSpaceState> {
  SelectedBookableSpaceBloc() : super(const SelectedBookableSpaceState()) {
    on<SelectBookableSpace>((event, emit) {
      emit(SelectedBookableSpaceState(
          selectedBookableSpace: event.bookableSpace));
    });
  }
}
